(function ($) {
    "use strict";

    jQuery(document).ready(function () {

        callCountTo();
    
    });
 
})(jQuery);

function callCountTo() {

    jQuery(window).on('resize scroll', function () {
        jQuery(document).find('.iq-counter[data-once=true]').each(function () {
            if (jQuery('.timer').isInViewport()) { 
                jQuery(document).find('.timer').countTo(); 
            }
        });
    });

}

jQuery.fn.isInViewport = function () {
    var elementTop = jQuery(this).offset().top;
    var elementBottom = elementTop + jQuery(this).outerHeight();

    var viewportTop = jQuery(window).scrollTop();
    var viewportBottom = viewportTop + jQuery(window).height();

    return elementBottom > viewportTop && elementTop < viewportBottom;
};